# Created by pyp2rpm-3.3.2
%global pypi_name discover
%define pypi_url https://pypi.io/packages/source/%(n=%{pypi_name}; echo ${n::1})/%{pypi_name}

Name:           python-%{pypi_name}
Version:        0.4.0
Release:        %mkrel 10
Summary:        Test discovery for unittest. Backported from Python 2
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/discover/
Source0:        %{pypi_url}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python3-devel

%description
This is the test discovery mechanism and load_tests protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3)... note:: Test discovery is just part of what is new in unittest in
Python 2.7. All of the new features have been backported to run on Python
2.4-2.6, including test discovery. This is the unittest2 package < can be
installed with pip...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
This is the test discovery mechanism and load_tests protocol for unittest
backported from Python 2.7 to work with Python 2.4 or more recent (including
Python 3)... note:: Test discovery is just part of what is new in unittest in
Python 2.7. All of the new features have been backported to run on Python
2.4-2.6, including test discovery. This is the unittest2 package < can be
installed with pip...


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files discover


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.txt
%{_bindir}/discover



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.4.0-10.mga10
+ Revision: 2239848
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.4.0-9.mga10
+ Revision: 2156914
- rebuild for python3.13

* Mon Jan 27 2025 papoteur <papoteur> 0.4.0-8.mga10
+ Revision: 2142791
- fix tests

* Tue Dec 12 2023 papoteur <papoteur> 0.4.0-7.mga10
+ Revision: 2017331
- rebuild for python3.12
- adapt to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.4.0-6.mga9
+ Revision: 1823873
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.4.0-5.mga9
+ Revision: 1785418
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.0-4.mga9
+ Revision: 1732637
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.0-3.mga8
+ Revision: 1535545
- Mageia 8 Mass Rebuild

* Sat Oct 12 2019 tv <tv> 0.4.0-2.mga8
+ Revision: 1452153
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 kekepower <kekepower> 0.4.0-1.mga7
+ Revision: 1352360
- imported package python-discover

